import React, { HTMLProps, useEffect } from "react";
import classNames from "classnames"

export type PageProps = {
    title?: string;
} & HTMLProps<any>;

export const Page = ({ title, children, ...props }: PageProps) => {
    useEffect(() => {
        document.title = title ? title + " | Praktyka Studencka" : "Praktyka Studencka";
    }, [ title ])

    return <main {...props} className={ classNames("page", props.className) }>
        { children }
    </main>
}
