import React from "react";
import { Page } from "@/pages/base";
import { Container, Typography, Button, Divider, Box, Stepper, Step, StepLabel, StepContent } from "@material-ui/core";
import { InternshipForm } from "@/forms/Internship";
import { Link } from "react-router-dom";
import { route } from "@/routing";

export const MainPage = () => {
    return <Page>
        <Container>
            <Stepper orientation="vertical" nonLinear>
                <Step completed active={false}>
                    <StepLabel>
                        Uzupełnienie danych w systemie
                        <Box>
                            <Typography variant="subtitle2" color="textSecondary">do: 05.07.2020</Typography>
                        </Box>
                    </StepLabel>
                    <StepContent>lol</StepContent>
                </Step>
                <Step active>
                    <StepLabel>Zgłoszenie praktyki</StepLabel>
                    <StepContent>
                        <Button to={ route("internship_proposal") } variant="contained" color="primary" component={ Link }>Formularz zgłoszenia praktyki</Button>
                    </StepContent>
                </Step>
            </Stepper>
        </Container>
    </Page>
}

export const InternshipFormPage = () => {
    return <Page title="Zgłoszenie praktyki">
        <Container maxWidth={"md"}>
            <Typography variant="h3">Zgłoszenie Praktyki</Typography>
            <Typography variant="subtitle1">UX Demo</Typography>

            <InternshipForm />
        </Container>
    </Page>
}

export const NotFoundPage = () => {
    return <Page title="Strona nie została znaleziona">
        <Container>
            <Typography variant="h1">404</Typography>
            <Typography variant="h2">Strona nie została znaleziona</Typography>

            <Box my={ 4 }>
                <Divider variant="fullWidth" />
            </Box>

            <Button to={ route("home") } color="primary" component={ Link }>strona główna</Button>
        </Container>
    </Page>
}
